from resh.utils.settings import conf
from resh.domains._domain import Domain


class Resh:
    def send(self, cmd, *params, **kwargs):
        assert issubclass(cmd, Domain)
        conf.interface = kwargs.get('box', 0)
        conf.interactive_mode = True
        command = cmd(*params)
        if 'on_step' in kwargs:
            command.set_step_handler(kwargs['on_step'])
        result = command.exec()
        return result
