from reface.line.layer import Layer

from reface.line.builder import Builder


class BuilderLayer(Layer):
    Worker = Builder

    def build_line(self, command_class, box, module, channel, *args):
        self.get_worker(box, module, channel).run_thread(command_class, *args)

    def action_name(self, box_id, module_id, channel_id):
        status = self.get_worker(box_id, module_id, channel_id).status
        if status:
            return status.get('action', None)
        return None
