from dali.gear import general as gear
from dali.device.general import QueryNumberOfInstances

from resh.protocols.dali_utils.bus0 import Bus0


class Bus1(Bus0):
    Initialise = gear.Initialise
    Randomise = gear.Randomise
    Terminate = gear.Terminate
    Withdraw = gear.Withdraw
    Compare = gear.Compare
    ProgramShortAddress = gear.ProgramShortAddress
    QueryShortAddress = gear.QueryShortAddress
    SetSearchAddrH = gear.SetSearchAddrH
    SetSearchAddrM = gear.SetSearchAddrM
    SetSearchAddrL = gear.SetSearchAddrL
    CheckCrossedAddress = QueryNumberOfInstances
    CheckSelfAddress = gear.QueryDeviceType

    def query_short_address(self):
        return super(Bus1, self).query_short_address() >> 1
