from dali.gear import general as gear


gear.QueryDeviceTypeResponse._types.update({
    7: 'Switching function',
    8: 'Colour control lamp'
})


class StoreActualLevelInDTR0(gear.StoreActualLevelInDTR0):
    _uses_dtr0 = False


class QueryNextDeviceType(gear.QueryNextDeviceType):
    _response = gear.QueryDeviceTypeResponse


class QueryContentDTR0(gear._StandardCommand):
    """Return the contents of DTR0."""
    _cmdval = 152
    _response = gear.command.Response


class QueryContentDTR1(gear._StandardCommand):
    """Return the contents of DTR1."""
    _cmdval = 156
    _response = gear.command.Response


class QueryContentDTR2(gear._StandardCommand):
    """Return the contents of DTR2."""
    _cmdval = 157
    _response = gear.command.Response
