from . import gear


class _Switching_function(gear._StandardCommand):
    _devicetype = 7


class SetUpSwitchOnThreshold(_Switching_function):
    _sendtwice = True
    _uses_dtr0 = True
    _cmdval = 225


class SetUpSwitchOffThreshold(_Switching_function):
    _sendtwice = True
    _uses_dtr0 = True
    _cmdval = 226


class SetDownSwitchOnThreshold(_Switching_function):
    _sendtwice = True
    _uses_dtr0 = True
    _cmdval = 227


class SetDownSwitchOffThreshold(_Switching_function):
    _sendtwice = True
    _uses_dtr0 = True
    _cmdval = 228


class SetErrorHoldOffTime(_Switching_function):
    _sendtwice = True
    _uses_dtr0 = True
    _cmdval = 229


class QueryUpSwitchOnThreshold(_Switching_function):
    _cmdval = 242
    _response = gear.command.Response


class QueryUpSwitchOffThreshold(_Switching_function):
    _cmdval = 243
    _response = gear.command.Response


class QueryDownSwitchOnThreshold(_Switching_function):
    _cmdval = 244
    _response = gear.command.Response


class QueryDownSwitchOffThreshold(_Switching_function):
    _cmdval = 245
    _response = gear.command.Response


class QueryErrorHoldOffTime(_Switching_function):
    _cmdval = 246
    _response = gear.command.Response
