from dali import command
from dali.device import general as device


class QueryPowerCycleNotification(device.QueryPowerCycleNotification):
    _response = command.YesNoResponse


class DeviceCapabilitiesResponse(command.BitmapResponse):
    bits = ['applicationControllerPresent', 'numberOfInstances']


class QueryDeviceCapabilities(device.QueryDeviceCapabilities):
    _response = DeviceCapabilitiesResponse


class DeviceStatusResponse(command.BitmapResponse):
    bits = ['inputDeviceError', 'quiescentMode', 'shortAddress', 'applicationActive', 'applicationControllerError', 'powerCycleSeen', 'resetState']


class QueryDeviceStatus(device.QueryDeviceStatus):
    _response = DeviceStatusResponse


class QueryQuiescentMode(device.QueryQuiescentMode):
    _response = command.YesNoResponse


class InstanceStatusResponse(command.BitmapResponse):
    bits = ['instanceError', 'instanceActive']


class QueryInstanceStatus(device.QueryInstanceStatus):
    _response = InstanceStatusResponse


class QueryInstanceEnabled(device.QueryInstanceEnabled):
    _response = command.YesNoResponse
