from dali import command

from . import _ExtendedInstanceCommand


class QueryDeadTime(_ExtendedInstanceCommand):
    _inputdev = True
    _response = command.Response
    _opcode = 0x3d


class QueryReportTime(_ExtendedInstanceCommand):
    _inputdev = True
    _response = command.Response
    _opcode = 0x3e


class QueryHysteresis(_ExtendedInstanceCommand):
    _inputdev = True
    _response = command.Response
    _opcode = 0x3f


class QueryHysteresisMin(_ExtendedInstanceCommand):
    _inputdev = True
    _response = command.Response
    _opcode = 0x3c


class SetReportTime(_ExtendedInstanceCommand):
    _inputdev = True
    _opcode = 0x30
    _uses_dtr0 = True
    _sendtwice = True


class SetHysteresis(_ExtendedInstanceCommand):
    _inputdev = True
    _opcode = 0x31
    _uses_dtr0 = True
    _sendtwice = True


class SetDeadTime(_ExtendedInstanceCommand):
    _inputdev = True
    _opcode = 0x32
    _uses_dtr0 = True
    _sendtwice = True


class SetHysteresisMin(_ExtendedInstanceCommand):
    _inputdev = True
    _opcode = 0x33
    _uses_dtr0 = True
    _sendtwice = True
