from dali import command

from . import _ExtendedInstanceCommand


class _Query(_ExtendedInstanceCommand):
    _inputdev = True
    _response = command.Response


class _Command(_ExtendedInstanceCommand):
    _inputdev = True
    _uses_dtr0 = True
    _sendtwice = True


class SetShortTime(_Command):
    _opcode = 0x00


class SetDoubleTime(_Command):
    _opcode = 0x01


class SetRepeatTime(_Command):
    _opcode = 0x02


class SetStuckTime(_Command):
    _opcode = 0x03


class QueryShortTime(_Query):
    _opcode = 0x0a


class QueryShortTimeMin(_Query):
    _opcode = 0x0b


class QueryDoubleTime(_Query):
    _opcode = 0x0c


class QueryDoubleTimeMin(_Query):
    _opcode = 0x0d


class QueryRepeatTime(_Query):
    _opcode = 0x0e


class QueryStuckTime(_Query):
    _opcode = 0x0f
