template = """[program:rgp_client_{GATE_ID}]
command=rgp_client --config /etc/rapida/rgp/client_{GATE_ID}.json
;process_name=%(program_name)s
numprocs=1
directory=/etc/rapida/rgp
;umask=022
;priority=999
autostart=true
;autorestart=unexpected
autorestart=true
startsecs=3
startretries=3
;exitcodes=0,2
;stopsignal=TERM
stopsignal=QUIT
stopwaitsecs=10
;stopasgroup=false
;killasgroup=false
user=root
redirect_stderr=false
stdout_logfile=/var/log/rapida/rgp/client_{GATE_ID}_stdout.log
stdout_logfile_maxbytes=3MB
stdout_logfile_backups=10
;stdout_capture_maxbytes=1MB
;stdout_events_enabled=false
stderr_logfile=/var/log/rapida/rgp/client_{GATE_ID}_stderr.log
stderr_logfile_maxbytes=1MB
stderr_logfile_backups=10
;stderr_capture_maxbytes=1MB
;stderr_events_enabled=false
;environment=A="1",B="2"
;serverurl=AUTO
"""