from dali.device import general as device
from dali.gear.general import QueryDeviceType

from resh.protocols.dali_utils.bus0 import Bus0


class Bus2(Bus0):
    Initialise = device.Initialise
    Randomise = device.Randomise
    Terminate = device.Terminate
    Withdraw = device.Withdraw
    Compare = device.Compare
    ProgramShortAddress = device.ProgramShortAddress
    QueryShortAddress = device.QueryShortAddress
    SetSearchAddrH = device.SearchAddrH
    SetSearchAddrM = device.SearchAddrM
    SetSearchAddrL = device.SearchAddrL
    CheckCrossedAddress = QueryDeviceType
    CheckSelfAddress = device.QueryNumberOfInstances

