from dali import command

from . import _ExtendedInstanceCommand


class QueryDeadTime(_ExtendedInstanceCommand):
    _inputdev = True
    _response = command.Response
    _opcode = 0x2c


class QueryHoldTime(_ExtendedInstanceCommand):
    _inputdev = True
    _response = command.Response
    _opcode = 0x2d


class QueryReportTime(_ExtendedInstanceCommand):
    _inputdev = True
    _response = command.Response
    _opcode = 0x2e


class QueryCatching(_ExtendedInstanceCommand):
    _inputdev = True
    _response = command.Response
    _opcode = 0x2f


class CatchHoldTime(_ExtendedInstanceCommand):
    _inputdev = True
    _opcode = 0x20


class SetHoldTime(_ExtendedInstanceCommand):
    _inputdev = True
    _opcode = 0x21
    _uses_dtr0 = True
    _sendtwice = True


class SetReportTime(_ExtendedInstanceCommand):
    _inputdev = True
    _opcode = 0x22
    _uses_dtr0 = True
    _sendtwice = True


class SetDeadTime(_ExtendedInstanceCommand):
    _inputdev = True
    _opcode = 0x23
    _uses_dtr0 = True
    _sendtwice = True


class CancelHoldTime(_ExtendedInstanceCommand):
    _inputdev = True
    _opcode = 0x24
